Subject: Re: [PATCH] ieee802154: atusb: drop redundant device reference

From: Miquel Raynal <[email-masked]>
Date: Mon, 09 Mar 2026 09:55:57 +0100

On 05/03/2026 at 11:43:13 +01, Johan Hovold <[email-masked]> wrote:

> Driver core holds a reference to the USB interface and its parent USB
> device while the interface is bound to a driver and there is no need to
> take additional references unless the structures are needed after
> disconnect.
>
> Drop the redundant device reference to reduce cargo culting, make it
> easier to spot drivers where an extra reference is needed, and reduce
> the risk of memory leaks when drivers fail to release it.
>
> Signed-off-by: Johan Hovold <[email-masked]>

I'm not qualified enough to judge how useful that can be, but on the
other hand I don't believe it will hurt either, so:

Reviewed-by: Miquel Raynal <[email-masked]>

Thanks,
Miquèl